Package com.xebialabs.xlrelease.osgi.api.plugins

# Class PluginExtendedMetadata

java.lang.Object
com.xebialabs.xlrelease.osgi.api.plugins.PluginExtendedMetadata

public final class PluginExtendedMetadata extends Object
Plain mirror of xl-platform's `ExtendedMetadata`, exported as part of `PluginInfo`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginExtendedMetadata(String name, String author, String description, List<String> categories, List<String> features, List<PluginLink> links, String supportedBy, String maturity, PluginRequirements requirements, List<PluginLink> screenshots)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthor()`
  `List<String>`
  `getCategories()`
  `String`
  `getDescription()`
  `List<String>`
  `getFeatures()`
  `List<PluginLink>`
  `getLinks()`
  `String`
  `getMaturity()`
  `String`
  `getName()`
  `PluginRequirements`
  `getRequirements()`
  `List<PluginLink>`
  `getScreenshots()`
  `String`
  `getSupportedBy()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginExtendedMetadata

    public PluginExtendedMetadata(String name, String author, String description, List<String> categories, List<String> features, List<PluginLink> links, String supportedBy, String maturity, PluginRequirements requirements, List<PluginLink> screenshots)

- ## Method Details

  - ### getName

    public String getName()

  - ### getAuthor

    public String getAuthor()

  - ### getDescription

    public String getDescription()

  - ### getCategories

    public List<String> getCategories()

  - ### getFeatures

    public List<String> getFeatures()

  - ### getLinks

    public List<PluginLink> getLinks()

  - ### getSupportedBy

    public String getSupportedBy()

  - ### getMaturity

    public String getMaturity()

  - ### getRequirements

    public PluginRequirements getRequirements()

  - ### getScreenshots

    public List<PluginLink> getScreenshots()